<?php
$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_CONDICOES_PAGAMENTO == 1) {
	
	class CondicaopagtoController extends GxController {
	
	
		var $help = 'Cadastro de condições de pagamentos. Acesso no menu Comercial > Condições de Pagamento. ';
	
			public function actionView($id) {
			$this->render('view', array(
				'model' => $this->loadModel($id, 'Condicaopagto'),
			));
		}
	
		public function actionCreate() {
			$model = new Condicaopagto;
	
	
			if (isset($_POST['Condicaopagto'])) {
				$model->setAttributes($_POST['Condicaopagto']);
	
				if ($model->save()) {
					if (Yii::app()->getRequest()->getIsAjaxRequest())
						Yii::app()->end();
					else
						$this->redirect(array('view', 'id' => $model->COD_IDCONDPAGTO));
				}
			}
	
			$this->render('create', array( 'model' => $model));
		}
	
		public function actionUpdate($id) {
			$model = $this->loadModel($id, 'Condicaopagto');
	
	
			if (isset($_POST['Condicaopagto'])) {
				$model->setAttributes($_POST['Condicaopagto']);
	
				if ($model->save()) {
					$this->redirect(array('view', 'id' => $model->COD_IDCONDPAGTO));
				}
			}
	
			$this->render('update', array(
					'model' => $model,
					));
		}
	
		public function actionDelete($id) {
			if (Yii::app()->getRequest()->getIsPostRequest()) {
				$this->loadModel($id, 'Condicaopagto')->delete();
	
				if (!Yii::app()->getRequest()->getIsAjaxRequest())
					$this->redirect(array('admin'));
			} else
				throw new CHttpException(400, 'Sua solicitação é inválida.');
		}
	
		public function actionAdmin() {
			$model = new Condicaopagto('search');
			$model->unsetAttributes();
	
			if (isset($_GET['Condicaopagto']))
				$model->setAttributes($_GET['Condicaopagto']);
	
			$this->render('admin', array(
				'model' => $model,
			));
		}
	
	}
	
}